<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sch="http://www.ascc.net/xml/schematron"
    xmlns:iso="http://purl.oclc.org/dsdl/schematron"
    xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
    version="2.0">
    <xsl:output method="xml" indent="yes"/>

    <xsl:template match="/">
        <html>
            <head><title><xsl:value-of select="/svrl:schematron-output/@title"/></title></head>
            <body>
                <h1><xsl:value-of select="/svrl:schematron-output/@title"/></h1>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="svrl:text"><h2 align="center"><xsl:apply-templates/></h2></xsl:template>
    <xsl:template match="svrl:text[2]"><h3 align="left"><font color="magenta"><xsl:value-of select="substring-after(., '/')"/></font></h3></xsl:template>
    
    <xsl:template match="svrl:failed-assert">
        <xsl:choose>
            <xsl:when test="@flag = 'fatal'">
                <p><font color="red">ERROR:<xsl:value-of select="svrl:text"/></font></p>
                <ul>
                <li>Test: <xsl:value-of select="@test"/></li>
                <li>Location: <xsl:value-of select="@location"/></li>
                </ul>
            </xsl:when>
            <xsl:when test="@flag = 'warning'">
                <p><font color="blue">Warning:<xsl:value-of select="svrl:text"/></font></p>
                <ul>
                    <li>Test: <xsl:value-of select="@test"/></li>
                    <li>Location: <xsl:value-of select="@location"/></li>
                </ul>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="svrl:active-pattern">
        <h2>Testing Rules from <xsl:value-of select="@id"/></h2>  
    </xsl:template>
</xsl:stylesheet>

